#include "../../../lib/std.mi"

Function animateLayerAlpha(Layer layerCurrent, Int intAlphaValue, Int intSpeed);

Global Group groupAbout;
Global Layer layerAboutLabel1, layerAboutLabel2, layerAboutLabel3, layerAboutLabel4, layerAboutLabel5;
Global Timer timerAnimation;
Global Int intPhase;

System.onScriptLoaded() {
	groupAbout = System.getScriptGroup();
	
	layerAboutLabel1 = groupAbout.getObject("about.label.1");
	layerAboutLabel2 = groupAbout.getObject("about.label.2");
	layerAboutLabel3 = groupAbout.getObject("about.label.3");
	layerAboutLabel4 = groupAbout.getObject("about.label.4");
	layerAboutLabel5 = groupAbout.getObject("about.label.5");
	
	intPhase = 0;
	
	timerAnimation = new Timer;
	timerAnimation.setDelay(5000);
	timerAnimation.start();
}

System.onScriptUnloading() {
	timerAnimation.stop();
	delete timerAnimation;;
}

timerAnimation.onTimer()   {	
	if (intPhase == 0) { animateLayerAlpha(layerAboutLabel1, 255, 1); }
	if (intPhase == 1) { animateLayerAlpha(layerAboutLabel1, 0, 1); }
	if (intPhase == 2) { animateLayerAlpha(layerAboutLabel2, 255, 1); }
	if (intPhase == 3) { animateLayerAlpha(layerAboutLabel2, 0, 1); }
	if (intPhase == 4) { animateLayerAlpha(layerAboutLabel3, 255, 1); }
	if (intPhase == 5) { animateLayerAlpha(layerAboutLabel3, 0, 1); }
	if (intPhase == 6) { animateLayerAlpha(layerAboutLabel4, 255, 1); }
	if (intPhase == 7) { animateLayerAlpha(layerAboutLabel4, 0, 1); }
	if (intPhase == 8) { animateLayerAlpha(layerAboutLabel5, 255, 1); }
	if (intPhase == 9) { animateLayerAlpha(layerAboutLabel5, 0, 1); }
	
	if (intPhase < 9) {
		intPhase++;
	} else {
		intPhase = 0;
	}
}

animateLayerAlpha(Layer layerCurrent, Int intAlphaValue, Int intSpeed) {
	layerCurrent.setTargetA(intAlphaValue);
	layerCurrent.setTargetSpeed(intSpeed);
	layerCurrent.gotoTarget();
}