Function initBehaviors();
Function buttonSwitchRightClickUtil(Button buttonSwitch);

Global Button buttonNormalSwitch, buttonHandheldSwitch, buttonSphereSwitch, buttonShadeSwitch;

initBehaviors() {
	buttonNormalSwitch = layoutMainNormal.findObject("player.button.switch");
	buttonHandheldSwitch = layoutMainHandheld.findObject("player.button.switch");
	buttonSphereSwitch = layoutMainSphere.findObject("player.button.switch");
	buttonShadeSwitch = layoutMainShade.findObject("player.button.switch");
}

buttonNormalSwitch.onRightClick() { buttonSwitchRightClickUtil(buttonNormalSwitch); }
buttonHandheldSwitch.onRightClick() { buttonSwitchRightClickUtil(buttonHandheldSwitch); }
buttonSphereSwitch.onRightClick() { buttonSwitchRightClickUtil(buttonSphereSwitch); }
buttonShadeSwitch.onRightClick() { buttonSwitchRightClickUtil(buttonShadeSwitch); }

buttonNormalSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
buttonHandheldSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
buttonSphereSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
buttonShadeSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}

buttonSwitchRightClickUtil(Button buttonSwitch) {
	PopupMenu popupMenuSwitch;
	String strTempTooltip;
	
	strTempTooltip = buttonSwitch.getXMLParam("tooltip");
	buttonSwitch.setXMLParam("tooltip", "");
	
	popupMenuSwitch = new PopupMenu;
	popupMenuSwitch.addCommand("Normal ", 1, (layoutMainNormal.isVisible()), (layoutMainNormal.isVisible()));
	popupMenuSwitch.addCommand("Handheld ", 2, (layoutMainHandheld.isVisible()), (layoutMainHandheld.isVisible()));
	popupMenuSwitch.addCommand("Sphere ", 3, (layoutMainSphere.isVisible()), (layoutMainSphere.isVisible()));
	popupMenuSwitch.addCommand("Shade ", 4, (layoutMainShade.isVisible()), (layoutMainShade.isVisible()));
	
	if (popupMenuSwitch == NULL) { return; }
	Int intSelection = popupMenuSwitch.popAtMouse();
	if (intSelection > 0) {
		if (intSelection == 1) { containerMain.switchToLayout("Normal"); }
		if (intSelection == 2) { containerMain.switchToLayout("Handheld"); }
		if (intSelection == 3) { containerMain.switchToLayout("Sphere"); }
		if (intSelection == 4) { containerMain.switchToLayout("Shade"); }
	}
	complete;
	delete popupMenuSwitch;
	buttonSwitch.setXMLParam("tooltip", strTempTooltip);
}