#include "../../../lib/std.mi"
#include "../../../lib/config.mi"

#include "global.m"
#include "behaviors.m"
#include "seek.m"
#include "seek_slider.m"
#include "volume.m"
#include "lights.m"

System.onScriptLoaded() {
	initGlobal();
	initBehaviors();
	initSeek();
	initSeekSlider();
	initVolume();
	initLights();
}

System.onScriptUnloading() {
	unloadGlobal();
	unloadSeek();
	unloadVolume();
	unloadLights();
}